Upload a file

Queues a localization file for import and returns a 202 or 302 response along with a Queued process object. Learn more. Requires Upload files admin right. Supported file types.

Please note that the 302 response code is not currently used, but in the future it will be returned if the same file is already in the upload queue.

Requires write_files OAuth access scope.

Path Params
string
required

A unique project identifier

string
required

Branch name

Body Params
string
required

Base64 encoded file. Must be one of the supported file types.

string
required

Set the filename. You may optionally use a relative path in the filename (e.g admin/main.json), however keep in mind that path would become a unique part of the file.

string
required

Language code of the translations in the file you are importing.

boolean

Enable to automatically convert placeholders to the Lokalise universal placeholders.

boolean

Enable to automatically detect and parse ICU formatted plurals in your translations.

tags
array of strings

Tag keys with the specified tags. By default tags are applied to created and updated keys.

tags
boolean

Add specified tags to inserted keys.

boolean

Add specified tags to updated keys.

boolean

Add specified tags to skipped keys.

boolean

Enable to replace translations, that have been modified (in the file being uploaded).

boolean

Enable to replace \n with a line break.

boolean

Enable to automatically replace values with key names.

boolean

Enable to allow keys with similar names to coexist, in case they are assigned to different filenames.

boolean

Enable to automatically apply 100% translation memory matches. This option will take priority over use_automations if set to true.

boolean

Whether to run automations for this upload.

boolean

Enable to automatically set newly created keys as "Hidden from contributors".

boolean

Enable to delete all keys with all language translations that are not present in the uploaded file. You may want to make a snapshot of the project before importing new file, just in case.

custom_translation_status_ids
array of strings

Custom translation status IDs to be added to translations. By default statuses are applied to created and updated translations.

custom_translation_status_ids
boolean

Add specified custom translation statuses to inserted keys.

boolean

Add specified custom translation statuses to updated keys.

boolean

Add specified custom translation statuses to skipped keys.

boolean

Skip automatic language detection by filename.

string

File format (e.g. json, strings, xml). Must be file extension of any of the file formats we support.

number

Apply import results as a part of a task. Available only for offline_xliff file format.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json